Bug 221770 - default setting for distroverpkg
default setting for distroverpkg
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-07 15:57 EST by Florian La Roche
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 14:19:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-01-07 15:57:11 EST
Description of problem:

"man yum.conf" states that the default value for distroverpkg is
set to "redhat-release", but the code is actually setting this to
"fedora-release".
Also note that redhat-release.rpm does not provide fedora-release,
but our fedora-release.rpm does contain a Provides: redhat-release.

No big problem, can be changed in /etc/yum.conf, but could also be
made consistent.

regards,

Florian La Roche


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2007-01-08 14:19:44 EST
Fixed in upstream CVS.  I plan to update to a later yum 3.0.x for a RHEL5
update, so we can pick this up then unless you feel strongly about it (if so,
reopen and set the appropriate flags)

Note You need to log in before you can comment on or make changes to this bug.